Skip to content

Статус сделки

Get trade by uuid.

Get /api/v1/trades/:merchant/:uuid

Параметры для генерации подписи

merchant::uuid

Параметры

  • :merchant — Merchant uuid
  • :uuid — Trade uuid

Success: 200

Errors: 401, 404

Example curl:

curl -X GET https://api.oplatex.com/api/v1/trades/3fa85f64-5717-4562-b3fc-2c963f66afa6/3fa85f64-5717-4562-b3fc-2c963f66afa6 \
  -H "X-Token: <token>" \
  -H "Content-Type: application/json" 

Пример успешного ответа (200):


{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "order": "ext-123",
  "merchant": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "state": "confirmed",
  "amount_cents": 1000,
  "amount_currency": "RUB",
  "rate": 88.23,
  "payment_data": {
    "name": "Артур Абрамов",
    "number": "+79990000000",
    "bank_name": "Сбербанк",
    "url": "https://pay.example.com/payment/3fa85f64"
  }
}